Bug 182410 - Updated port for databases/mdcached
Updated port for databases/mdcached
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Olli Hauer
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-26 15:10 UTC by ivoras
Modified: 2013-09-29 18:50 UTC (History)
0 users

See Also:


Attachments
file.diff (1.04 KB, patch)
2013-09-26 15:10 UTC, ivoras
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ivoras 2013-09-26 15:10:01 UTC
Updated version of the port. I am not a ports committer, somebody needs to
commit this for me.
Comment 1 Edwin Groothuis freebsd_committer 2013-09-26 15:10:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ivoras

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 ivoras freebsd_committer 2013-09-26 15:10:55 UTC
Responsible Changed
From-To: ivoras->freebsd-ports

I am not a ports committer. Somone needs to commit this for me.
Comment 3 Olli Hauer freebsd_committer 2013-09-28 20:28:10 UTC
State Changed
From-To: open->feedback

I'll take it 

Please check patch 
http://people.freebsd.org/~ohauer/diffs/mdcached.diff 

simmilar adjustments as for sqlcached 



Comment 4 Olli Hauer freebsd_committer 2013-09-28 20:28:10 UTC
Responsible Changed
From-To: freebsd-ports->ohauer
Comment 5 dfilter freebsd_committer 2013-09-29 18:40:31 UTC
Author: ohauer
Date: Sun Sep 29 17:40:22 2013
New Revision: 328718
URL: http://svnweb.freebsd.org/changeset/ports/328718

Log:
  - update to 1.0.7
  - add stage support
  
  PR:             ports/182410
  Submitted by:   Ivan Voras <ivoras@FreeBSD.org> (maintainer)

Modified:
  head/databases/mdcached/Makefile
  head/databases/mdcached/distinfo
  head/databases/mdcached/pkg-plist

Modified: head/databases/mdcached/Makefile
==============================================================================
--- head/databases/mdcached/Makefile	Sun Sep 29 17:39:22 2013	(r328717)
+++ head/databases/mdcached/Makefile	Sun Sep 29 17:40:22 2013	(r328718)
@@ -2,23 +2,21 @@
 # $FreeBSD$
 
 PORTNAME=	mdcached
-PORTVERSION=	1.0.6
+PORTVERSION=	1.0.7
 CATEGORIES=	databases net
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTNAME}-${PORTVERSION}
 EXTRACT_SUFX=	.tgz
 
 MAINTAINER=	ivoras@FreeBSD.org
-COMMENT=	A high performance cache server similar to memcached
+COMMENT=	High performance cache server similar to memcached
 
 LICENSE=	BSD
 
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}/${PORTNAME}
 USE_LDCONFIG=	yes
-MAN1=		${PORTNAME}.1
 
 PORTDOCS=	UserGuide.txt mdcached.txt
 
-NO_STAGE=	yes
 post-patch:
 	@${REINPLACE_CMD} 's|ADDCFLAGS = -Wall -g -O3 -march=native|ADDCFLAGS = ${CFLAGS}|' \
 		${WRKSRC}/Makefile
@@ -26,20 +24,15 @@ post-patch:
 		${WRKSRC}/FreeBSD/${PORTNAME}
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin
-	${INSTALL_LIB} ${WRKSRC}/lib${PORTNAME}.so.1 ${PREFIX}/lib
-	${LN} -s lib${PORTNAME}.so.1 ${PREFIX}/lib/lib${PORTNAME}.so
-	${INSTALL_LIB} ${WRKSRC}/lib${PORTNAME}.a ${PREFIX}/lib
-	${INSTALL_DATA} ${WRKSRC}/mc_protocol.h ${PREFIX}/include
-	${INSTALL_DATA} ${WRKSRC}/mc_client.h ${PREFIX}/include
-	${INSTALL_MAN} ${WRKSRC}/doc/${MAN1} ${MANPREFIX}/man/man1
-	${INSTALL_SCRIPT} ${WRKSRC}/FreeBSD/${PORTNAME} ${PREFIX}/etc/rc.d
-
-.if !defined(NOPORTDOCS)
-	${MKDIR} ${DOCSDIR}
-	for doc in ${PORTDOCS}; do \
-		${INSTALL_DATA} ${WRKSRC}/doc/$${doc} ${DOCSDIR}; \
-	done
-.endif
+	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${STAGEDIR}${PREFIX}/bin
+	${INSTALL_LIB} ${WRKSRC}/lib${PORTNAME}.so.1 ${STAGEDIR}${PREFIX}/lib
+	${LN} -sf lib${PORTNAME}.so.1 ${STAGEDIR}${PREFIX}/lib/lib${PORTNAME}.so
+	${INSTALL_LIB} ${WRKSRC}/lib${PORTNAME}.a ${STAGEDIR}${PREFIX}/lib
+	${INSTALL_DATA} ${WRKSRC}/mc_protocol.h ${STAGEDIR}${PREFIX}/include
+	${INSTALL_DATA} ${WRKSRC}/mc_client.h ${STAGEDIR}${PREFIX}/include
+	${INSTALL_MAN} ${WRKSRC}/doc/${PORTNAME}.1 ${STAGEDIR}${MANPREFIX}/man/man1
+	${INSTALL_SCRIPT} ${WRKSRC}/FreeBSD/${PORTNAME} ${STAGEDIR}${PREFIX}/etc/rc.d
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/doc/|} ${STAGEDIR}${DOCSDIR}
 
 .include <bsd.port.mk>

Modified: head/databases/mdcached/distinfo
==============================================================================
--- head/databases/mdcached/distinfo	Sun Sep 29 17:39:22 2013	(r328717)
+++ head/databases/mdcached/distinfo	Sun Sep 29 17:40:22 2013	(r328718)
@@ -1,2 +1,2 @@
-SHA256 (mdcached-1.0.6.tgz) = a301d41429909dc26570247a04b399b8ea3e6e78e606d82d84707df17a207b03
-SIZE (mdcached-1.0.6.tgz) = 277271
+SHA256 (mdcached-1.0.7.tgz) = 7a28179aec83ba5e2305e1616fbf8baa8b00f0fd4a87002579d65ca2239ec040
+SIZE (mdcached-1.0.7.tgz) = 282748

Modified: head/databases/mdcached/pkg-plist
==============================================================================
--- head/databases/mdcached/pkg-plist	Sun Sep 29 17:39:22 2013	(r328717)
+++ head/databases/mdcached/pkg-plist	Sun Sep 29 17:40:22 2013	(r328718)
@@ -5,3 +5,4 @@ include/mc_protocol.h
 lib/libmdcached.a
 lib/libmdcached.so
 lib/libmdcached.so.1
+man/man1/mdcached.1.gz
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Olli Hauer freebsd_committer 2013-09-29 18:47:05 UTC
State Changed
From-To: feedback->closed

Committed!